ENCL_LED(8)

NAME
encl_led - turn SCSI enclosure fault/identify indicators on/off

SYNOPSIS
encl_led settings [-v] enclosure [component]
encl_led -l [-v] enclosure [component]
encl_led -V
encl_led -h

DESCRIPTION
The encl_led command turns on or off the fault/identify indicator(s) for the specified component in the specified SCSI enclosure or for the enclosure itself if no component is specified. The -l option lists the setting of the specified indicator or for each indicator in the enclosure if no component is specified.

An enclosure is specified by its sgn device name or by its location code.

A component (for example, a power supply, fan assembly, connector, or controller) is identified by its location code relative to the enclosure. For example, if an enclosure has a location code of U5888.001.G123789, and one of its fan assemblies has a full location code of U5888.001.G123789-P1-C2-A1, then on the encl_led command line, the fan assembly would be specified as P1-C2-A1.

Some LEDs have independent fault and identify settings; that is, a single LED may be in fault mode and identify mode at the same time (in which case both the fault setting and the identify setting bubble up to the enclosure, which may have separate fault and identify LEDs). So encl_led reports the fault and identify settings separately, and enables you to turn the fault and identify settings on and off independently.

encl_led currently supports a limited number of enclosure types and reports an error if asked to diagnose an unrecognized type. Some components' LED(s) may not be accessible to Linux.

NOTE: Ensure that there are no outstanding service actions to be taken on the specified SCSI enclosure before turning off the enclosure fault indicator.

OPTIONS
The settings options are -f and -i.

-f on|off or --fault=on|off
    Turn the indicator's fault setting on or off.

-i on|off or --ident=on|off
    Turn the indicator's identify setting on or off.

-l or --list
    Report the indicator setting(s) of the enclosure's component(s).

-v or --verbose
    Produce more verbose output.

-V or --version
    Display the version of the command and exit.

-h or --help
    Print a usage message and exit.